Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat.CloseAndMaxTabbedPane
Class CloseTabbedPaneEvent

    java.lang.Object
      java.awt.Event
          madkit.MadChat.CloseAndMaxTabbedPane.CloseTabbedPaneEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CloseTabbedPaneEvent

extends java.awt.Event

Author:
  David_211245 To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Event
`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, id, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`CloseTabbedPaneEvent(java.awt.event.MouseEvent e, java.lang.String description, int overTabIndex)`

Method Summary
`java.lang.String` | `getDescription()`
`java.awt.event.MouseEvent` | `getMouseEvent()`
`int` | `getOverTabIndex()`

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, toString, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloseTabbedPaneEvent

    public CloseTabbedPaneEvent(java.awt.event.MouseEvent e,
                                java.lang.String description,
                                int overTabIndex)

Method Detail

### getDescription

    public java.lang.String getDescription()

### getMouseEvent

    public java.awt.event.MouseEvent getMouseEvent()

### getOverTabIndex

    public int getOverTabIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.